tlholaday
Contributor
Contributor

Wanted: A distribution & version of Linux that works with Fusion 2's VMTools

Is there a version of Linux that works with Fusion 2's VMTools? I know that the Supported 32-bit Operating Systems page in the Getting Started guide lists Ubuntu Linux 8.04, 7.10, 6.10, 5.10. I have had poor results with 8.04 due to gcc compiler version differences. I am trying 6.10, but if there's a Known Working Configuration, I'd like to know.

I want to run two applications under Linux: Perforce Client, and SlickEdit.

0 Kudos
2 Replies
borisdusek
Expert
Expert

Just downloaded Ubuntu 8.04 LTS and used Easy Install - in 15 minutes I had a working install with VMware Tools installed, screen resolution autofit, drag-n-drop working etc. To have shared folders writable, after install follow instructions in (a reboot then should do the job).

Also I would recommend not to install any automatic updates to avoid installing new kernel which could be incompatible with installed VMware Tools (unless someone comments that installing the updates worked OK for them, I did not try).

tlholaday
Contributor
Contributor

I followed your advice and built a fresh 8.04 LTS using Easy Install. The Tools worked.

Feeling lucky, I took a snapshot, then applied the 160+ automatic updates. The Tools stopped working.

I re-installed the Tools, and recompiled everything that wanted recompiling (a lot of things wanted recompiling). The Tools resumed working.

Thank you for your encouragement.

0 Kudos